[blfs-support] Problem with libdrm-2.4.66

José Carlos Carrión Plaza jc at um.es
Fri May 13 10:14:53 PDT 2016


 

Hello co-listers: 

I'm triying to create an BLFS 7.9 system. I'm not new on LFS. 

When I'm installing libdrm-2.4.66, at the first step I obtain this: 

$ sed -i "/pthread-stubs/d" configure.ac &&
> autoreconf -fiv 

autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4 ${ACLOCAL_FLAGS}
configure.ac:33: error: must install xorg-macros 1.12 or later before
running autoconf/autogen
configure.ac:33: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1 

But after this: 

$ pkg-config --modversion xorg-macros
1.19.0 

I've hacked xorg-macros.pc changing the line 

Version: 1.19.0 

by 

Version: 1.19 

but it was unsucessfull 

I've installed successfully: 

 	* util-macros-1.19.0
 	* Xorg Protocol Headers
 	* libXau-1.0.8
 	* libXdmcp-1.1.2
 	* xcb-proto-1.11
 	* libxcb-1.11.1
 	* Xorg Libraries
 	* xcb-util-0.4.0
 	* xcb-util-image-0.4.0
 	* xcb-util-keysyms-0.4.0
 	* xcb-util-renderutil-0.3.9
 	* xcb-util-wm-0.4.1
 	* xcb-util-cursor-0.1.2

Any idea? 

Thanks in advance. 

J.C. 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-support/attachments/20160513/9b715311/attachment.html>


More information about the blfs-support mailing list